summaryrefslogtreecommitdiff
path: root/tests/triple-backref
diff options
context:
space:
mode:
Diffstat (limited to 'tests/triple-backref')
-rwxr-xr-xtests/triple-backref18
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/triple-backref b/tests/triple-backref
new file mode 100755
index 0000000..3d36c05
--- /dev/null
+++ b/tests/triple-backref
@@ -0,0 +1,18 @@
+#! /bin/sh
+# Test for a bug in glibc's regex code as of September 7, 2014.
+#
+# Copyright (C) 2014-2016 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+echo a > in || framework_failure_
+
+fail=0
+grep -E '(.?)(.?)(.?)\3\2\1' in > out || fail=1
+compare out in || fail=1
+
+Exit $fail